com.verisign.epp.serverstub

## Class NameWatchHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPNameWatchHandler
  - - com.verisign.epp.serverstub.NameWatchHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class NameWatchHandler
      extends EPPNameWatchHandler

  The `NameWatchHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPNameWatchHandler` class. It defines the Server's response to all received EPP NameWatch Commands.
  Version:
    $Revision: 1.1.1.1 $
  Author:
    $Author: jim $
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameWatchHandler()` Constructs an instance of NameWatchHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doNameWatchCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Create command is received.
    `protected EPPEventResponse` | `doNameWatchDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Delete command is received.
    `protected EPPEventResponse` | `doNameWatchInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Info command is received.
    `protected EPPEventResponse` | `doNameWatchRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Renew command is received.
    `protected EPPEventResponse` | `doNameWatchTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Transfer command is received.
    `protected EPPEventResponse` | `doNameWatchUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Update command is received.
    `protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all NameWatch commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all NameWatch commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class com.verisign.epp.framework.EPPNameWatchHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameWatchHandler

          public NameWatchHandler()

      Constructs an instance of NameWatchHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all NameWatch commands need to execute before they execute their command specific behavior.
      Overrides:
        `preHandleEvent` in class `EPPNameWatchHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all NameWatch commands need to execute after they execute their command specific behavior.
      Overrides:
        `postHandleEvent` in class `EPPNameWatchHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doNameWatchRenew

          protected EPPEventResponse doNameWatchRenew(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Invoked when a NameWatch Renew command is received.
      Specified by:
        `doNameWatchRenew` in class `EPPNameWatchHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchDelete

          protected EPPEventResponse doNameWatchDelete(EPPEvent aEvent,
                                                       java.lang.Object aData)

      Invoked when a NameWatch Delete command is received.
      Specified by:
        `doNameWatchDelete` in class `EPPNameWatchHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchCreate

          protected EPPEventResponse doNameWatchCreate(EPPEvent aEvent,
                                                       java.lang.Object aData)

      Invoked when a NameWatch Create command is received.
      Specified by:
        `doNameWatchCreate` in class `EPPNameWatchHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchTransfer

          protected EPPEventResponse doNameWatchTransfer(EPPEvent aEvent,
                                                         java.lang.Object aData)

      Invoked when a NameWatch Transfer command is received.
      Specified by:
        `doNameWatchTransfer` in class `EPPNameWatchHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchUpdate

          protected EPPEventResponse doNameWatchUpdate(EPPEvent aEvent,
                                                       java.lang.Object aData)

      Invoked when a NameWatch Update command is received.
      Specified by:
        `doNameWatchUpdate` in class `EPPNameWatchHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchInfo

          protected EPPEventResponse doNameWatchInfo(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Invoked when a NameWatch Info command is received.
      Specified by:
        `doNameWatchInfo` in class `EPPNameWatchHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.